# Uses of Class
org.eclipse.mat.parser.internal.oql.parser.OQLParserTokenManager

Packages that use OQLParserTokenManager
Package
Description
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of OQLParserTokenManager in org.eclipse.mat.parser.internal.oql.parser

Fields in org.eclipse.mat.parser.internal.oql.parser declared as OQLParserTokenManager
Modifier and Type
Field
Description
`OQLParserTokenManager`
OQLParser.`token_source`
Generated Token Manager.
Methods in org.eclipse.mat.parser.internal.oql.parser with parameters of type OQLParserTokenManager
Modifier and Type
Method
Description
`void`
OQLParser.`ReInit(OQLParserTokenManager tm)`
Reinitialise.
Constructors in org.eclipse.mat.parser.internal.oql.parser with parameters of type OQLParserTokenManager
Modifier
Constructor
Description
``
`OQLParser(OQLParserTokenManager tm)`
Constructor with generated Token Manager.